openjpa-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (OPENJPA-2070) Error processing while populating Metamodel classes needs improvement
Date Thu, 18 Apr 2013 17:34:23 GMT

    [ https://issues.apache.org/jira/browse/OPENJPA-2070?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13635396#comment-13635396
] 

ASF subversion and git services commented on OPENJPA-2070:
----------------------------------------------------------

Commit 1469488 from hthomann
[ https://svn.apache.org/r1469488 ]

OPENJPA-2070: Error processing while populating Metamodel classes needs improvement.  Back-ported
to 2.1.x Kevin Sutter's trunk changes.
                
> Error processing while populating Metamodel classes needs improvement
> ---------------------------------------------------------------------
>
>                 Key: OPENJPA-2070
>                 URL: https://issues.apache.org/jira/browse/OPENJPA-2070
>             Project: OpenJPA
>          Issue Type: Bug
>          Components: criteria
>    Affects Versions: 2.2.0
>            Reporter: Kevin Sutter
>            Assignee: Kevin Sutter
>             Fix For: 2.2.0
>
>
> The MetamodelImpl.populate() method needs some improvements in the error processing arena.
 This scenario is coming about due to the changes in OPENJPA-2027.  If our current 2.2.x runtime
implementation runs against a metamodel class that was generated prior to the fix in OPENJPA-2027,
the exception produced does not show what the error was (and we're missing the "caused by"
exception).  These updates will help identify the root cause issue.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message